Name:		molequeue
Version:	0.9.0
Release:	%mkrel 2
Summary:	Desktop integration of high performance computing resources
License:	BSD
Group:		Sciences/Chemistry
Url:		http://openchemistry.org/molequeue
Source:		https://github.com/OpenChemistry/molequeue/archive/%{version}/%{name}-%{version}.tar.xz
BuildRequires: cmake
BuildRequires: cppzmq-devel
BuildRequires: lib64cppzmq-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5widgets-devel

%description
MoleQueue is an open-source, cross-platform, system-tray resident desktop
application for abstracting, managing, and coordinating the execution of
tasks both locally and on remote computational resources. Users can set
up local and remote queues that describe where the task will be executed.
Each queue can have programs, with templates to facilitate the execution
of the program. Input files can be staged, and output files collected
using a standard interface. Some highlights:

  * Open source distributed under the liberal 3-clause BSD license
  * Cross platform with nightly builds on Linux, Mac OS X and Windows
  * Intuitive interface designed to be useful to whole community
  * Support for local executation and remote schedulers (SGE, PBS, SLURM)
  * System tray resident application managing queue of queues and job lifetime
  * Simple, lightweight JSON-RPC 2.0 based communication over local sockets
  * Qt 5 client library for simple integration in Qt applications

#----------------------------------------------------

%package	devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{name} >= %{version}-%{release}

%description	devel
The %{name}-devel package contains header files for developing applications
that use %{name}.

#----------------------------------------------------

%package -n	python-%{name}
Summary:	Python 2 bindings for %{name}
Group:		Development/Python
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}
Requires:	python-pyzmq

Obsoletes:	python-molequeue < 0.8.0-3
Provides:	python-molequeue = %{version}-%{release}

%description -n	python-%{name}
The python2-%{name} package contains Python2 bindings for %{name}.

#----------------------------------------------------

%prep
%setup -q


%build
%cmake_qt5 \
	-DCMAKE_INSTALL_LIBDIR=%{_lib} \
	-DUSE_ZERO_MQ=ON

%make_build

%install
rm -rf %buildroot
%make_install -C build

%files
%doc %{_docdir}/MoleQueue/ 
%doc LICENSE
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_libdir}/*.so

%files devel
%{_includedir}/%{name}/
%{_libdir}/cmake/%{name}/

%files -n python-%{name}
%{python2_sitelib}/%{name}/


%changelog
* Mon Apr 30 2018 tex - 0.9.0-2pclos2018
- rebuild against updates
- fix dependency

* Tue Apr 24 2018 bb2 <bb2> - 0.9.0-1pclos2018
- import from france
